| AOMedia AV1 Codec

enums.h File Reference
`#include "config/aom_config.h"`
`#include "aom/aom_codec.h"`
`#include "aom/aom_integer.h"`
`#include "aom_dsp/txfm_common.h"`
`#include "aom_ports/mem.h"`

Go to the source code of this file.

## Enumerations
enum | RestorationType { RESTORE_NONE , RESTORE_WIENER , RESTORE_SGRPROJ , RESTORE_SWITCHABLE , RESTORE_SWITCHABLE_TYPES = RESTORE_SWITCHABLE , RESTORE_TYPES = 4 }
| This enumeration defines various restoration types supported. More...

## Enumeration Type Documentation

## ◆ RestorationType

enum RestorationType

This enumeration defines various restoration types supported.

Enumerator
RESTORE_NONE | No restoration
RESTORE_WIENER | Separable Wiener restoration
RESTORE_SGRPROJ | Selfguided restoration
RESTORE_SWITCHABLE | Switchable restoration
RESTORE_SWITCHABLE_TYPES | Num Switchable types
RESTORE_TYPES | Num Restore types